#include "animation_manager.h"

namespace Halley {
	shared_ptr<ResourceManager<Animation::Group> > ResourceManager<Animation::Group>::manager;

	AnimationManager::AnimationManager(String basePath)
		: ResourceManager(basePath)
	{
	}

	shared_ptr<Animation::Group> AnimationManager::load(String name) {
		return Animation::parseFile(name+".anm");
	}
}
